<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.hidd.mapper.BisHiddMajVeriMapper">
    <resultMap type="com.goldenwater.slaj.hidd.domain.BisHiddMajVeri" id="BisHiddMajVeriResult">
        <result property="guid" column="guid"/>
        <result property="hiddGuid" column="hidd_guid"/>
        <result property="veriOrgGuid" column="veri_org_guid"/>
        <result property="veriDate" column="veri_date"/>
        <result property="veriPers" column="veri_pers"/>
        <result property="veriResu" column="veri_resu"/>
        <result property="veriAdvi" column="veri_advi"/>
        <result property="note" column="note"/>
        <result property="collTime" column="coll_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="recPers" column="rec_pers"/>
    </resultMap>
    <sql id="selectBisHiddMajVeriVo">
        select guid, hidd_guid, veri_org_guid, veri_date, veri_pers, veri_resu, veri_advi, note, coll_time, upd_time, rec_pers
        from bis_hidd_maj_veri
    </sql>
    <select id="selectBisHiddMajVeriByGuid" parameterType="String" resultMap="BisHiddMajVeriResult">
        <include refid="selectBisHiddMajVeriVo"/>
        where guid = #{guid}
    </select>
    <select id="selectBisHiddMajVeriList" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddMajVeri" resultMap="BisHiddMajVeriResult">
        <include refid="selectBisHiddMajVeriVo"/>
        <where>
            <if test="hiddGuid != null and hiddGuid != ''">AND hidd_guid = #{hiddGuid}</if>
            <if test="guid != null and guid != ''">AND guid = #{guid}</if>
        </where>
    </select>
    <insert id="insertBisHiddMajVeri" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddMajVeri">
        insert into bis_hidd_maj_veri (guid, hidd_guid, veri_org_guid, veri_date, veri_pers, veri_resu, veri_advi, note, coll_time, upd_time, rec_pers)
        values (#{guid}, #{hiddGuid}, #{veriOrgGuid}, #{veriDate}, #{veriPers}, #{veriResu}, #{veriAdvi}, #{note}, #{collTime}, #{updTime}, #{recPers})
    </insert>
    <update id="updateBisHiddMajVeri" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddMajVeri">
        update bis_hidd_maj_veri
        <set>
            <if test="hiddGuid != null">hidd_guid = #{hiddGuid},</if>
            <if test="veriOrgGuid != null">veri_org_guid = #{veriOrgGuid},</if>
            <if test="veriDate != null">veri_date = #{veriDate},</if>
            <if test="veriPers != null">veri_pers = #{veriPers},</if>
            <if test="veriResu != null">veri_resu = #{veriResu},</if>
            <if test="veriAdvi != null">veri_advi = #{veriAdvi},</if>
            <if test="note != null">note = #{note},</if>
            <if test="collTime != null">coll_time = #{collTime},</if>
            <if test="updTime != null">upd_time = #{updTime},</if>
            <if test="recPers != null">rec_pers = #{recPers},</if>
        </set>
        where guid = #{guid}
    </update>
    <delete id="deleteBisHiddMajVeriByGuid" parameterType="String">
        delete from bis_hidd_maj_veri where guid = #{guid}
    </delete>
    <delete id="deleteBisHiddMajVeriByGuids" parameterType="String">
        delete from bis_hidd_maj_veri where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">
            #{guid}
        </foreach>
    </delete>
</mapper>
